Bug 834687 - Wacom Tablets not Recognized Correctly
Wacom Tablets not Recognized Correctly
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gnome-settings-daemon (Show other bugs)
7.0
x86_64 Linux
high Severity medium
: beta
: 7.0
Assigned To: Rui Matos
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-22 15:14 EDT by Michael Boisvert
Modified: 2017-07-03 11:04 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-13 05:46:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
g-s-d log (1.99 KB, text/x-log)
2012-07-09 16:14 EDT, Michael Boisvert
no flags Details

  None (edit)
Description Michael Boisvert 2012-06-22 15:14:25 EDT
Description of problem: When you plug the wireless Intuos 4 tablet into your machine using the USB cable, the settings window does not recognize it and calls it "Wacom Tablet."

How reproducible: Anytime its plugged in.


Steps to Reproduce:
1. Plug in Bluetooth Intuos 4 with USB cable. 
2. Open Wacom Graphics Tablet settings window.
  
Actual results: Tablet called "Wacom Tablet" and the buttons are not programmable. 


Expected results: Should be recognized as an Intuos 4 WL, and all settings should be adjustable.
Comment 1 Michael Boisvert 2012-06-27 09:17:32 EDT
This issue is more widespread than I initially thought. I have tested the Intuos 3, Intuos 4 Bluetooth and the Cintiq 21UX2. All are recognized as "Wacom Tablet" in the Wacom settings window.

Under lsusb, the tablets do correctly identify themselves as "Intuos 3 9x12" for example.
Comment 2 Olivier Fourdan 2012-07-03 08:31:51 EDT
Seems you get the fallback device instead of the actual tablet definition.

Could you provide the output of:

    $ rpm -q libwacom libwacom-data

And the debug log from gnome-settings-daemon:

1. Unplug the Wacom tablet
2. From a terminal, kill any instance of gnome-settings-daemon which is running for the the given user:

   $ killall gnome-settings-daemon

3. A fullscreen error window "Oh no! Something has gnome-settings-daemon.loggone wrong." will most likely show up, simply get rid of it by pressing Alt+Space to show the window menu and then select either "Minimize" of "Close"

4. Start a script session to capture all output

    $ script gnome-settings-daemon.log
    Script started, file is gnome-settings-daemon.log

5. From the script session/terminal, run gnome-settings-daemon in debug mode

    $ /usr/libexec/gnome-settings-daemon --debug
    ** (gnome-settings-daemon:16813): DEBUG: Starting settings manager
    ...

6. Plug-in the Wacom tablet, a few debug messages should show up in the log. 

7. stop gnome-settings-daemon, exit the script session

    $ exit
    exit
    Script done, file is gnome-settings-daemon.log

=> provide that gnome-settings-daemon.log
Comment 3 Michael Boisvert 2012-07-09 16:11:40 EDT
$ rpm -q libwacom libwacom-data:

libwacom-0.5-3.el7.x86_64.rpm
libwacom-data-0.5-3.el7.noarch.rpm

Providing the log next.
Comment 4 Michael Boisvert 2012-07-09 16:14:06 EDT
Created attachment 597142 [details]
g-s-d log
Comment 5 Olivier Fourdan 2012-07-10 04:01:32 EDT
The log does not seem complete, it's much shorter than expected.

Was any previous instance of gnome-settings-daemon stopped for the current user as described in comment #2?

There's no trace of the device being plugged-in either as described in step 6. Actually, there's no wacom related message.
Comment 7 Michael Boisvert 2012-07-10 12:09:34 EDT
(In reply to comment #5)
> The log does not seem complete, it's much shorter than expected.
> 
> Was any previous instance of gnome-settings-daemon stopped for the current
> user as described in comment #2?
> 
> There's no trace of the device being plugged-in either as described in step
> 6. Actually, there's no wacom related message.

I have given you access to the machine. Please update me with your findings.
Comment 8 Olivier Fourdan 2012-07-11 04:07:54 EDT
(In reply to comment #7)
> I have given you access to the machine. Please update me with your findings.

I think what you see here is normal.

On that system, the version of GNOME installed is 3.2 (not 3.4) and the Wacom panel in gnome-control-center in GNOME 3.2 did not use libwacom and would not give control on all the functionalities of the tablet (the Wacom panel was greatly improved between GNOME 3.2 and 3.4)

Unfortunately, upgrading control-center to version 3.4 on that test machine would pull most of GNOME 3.4 so best would be to try with a more recent el7 snapshow which ships control-center-3.4.2 (like a recent nightly build).
Comment 9 Michael Boisvert 2012-07-12 14:30:50 EDT
(In reply to comment #8)
> (In reply to comment #7)
> > I have given you access to the machine. Please update me with your findings.
> 
> I think what you see here is normal.
> 
> On that system, the version of GNOME installed is 3.2 (not 3.4) and the
> Wacom panel in gnome-control-center in GNOME 3.2 did not use libwacom and
> would not give control on all the functionalities of the tablet (the Wacom
> panel was greatly improved between GNOME 3.2 and 3.4)
> 
> Unfortunately, upgrading control-center to version 3.4 on that test machine
> would pull most of GNOME 3.4 so best would be to try with a more recent el7
> snapshow which ships control-center-3.4.2 (like a recent nightly build).

I updated to the latest nightly, and I am glad to say that the Cintiq 21UX2, Intuos 4 and Intuos 4 wireless are all detected properly.
Comment 10 Vladimir Benes 2012-07-13 05:46:57 EDT
(In reply to comment #9)

> I updated to the latest nightly, and I am glad to say that the Cintiq 21UX2,
> Intuos 4 and Intuos 4 wireless are all detected properly.

-> CLOSING AS CURRENTRELEASE
reopen if needed

Note You need to log in before you can comment on or make changes to this bug.